@echo off
setlocal

rem Setting Environment for OC and get version info, leave if not possible
set PATH=%PATH%;%CD%\..\build_windows\win32\release
echo Check for OpenCobol
echo.
cobc --version 2>nul
if errorlevel 1 goto erroc
echo.

rem Setting Environment for VS / Try to use GCC and leave if not possible
echo Check for C-Compiler
echo.
call "%VS80COMNTOOLS%vsvars32.bat" 2>nul
if errorlevel 1 call "%VS90COMNTOOLS%vsvars32.bat" 2>nul
if errorlevel 1 gcc --version 2>nul
if errorlevel 1 goto errcompiler
echo.

echo.
echo OpenCOBOL TEST SUITE
echo ------------------------------------------------------
cd syntax.win
call syntax
if errorlevel 1 goto err
echo ------------------------------------------------------
cd ..\data-rep.win
call data-rep
if errorlevel 1 goto err
echo ------------------------------------------------------
cd ..\run.win
call runall.cmd
if errorlevel 1 goto err
cd ..

echo ------------------------------------------------------
echo ALL TESTS OF THE TEST SUITE PASSED
goto end

:erroc
	echo OpenCobol could be found! Test aborted.
   goto end

:errcompiler
	echo Neither VisualStudio nor GCC could be found! Test aborted.
   goto end

:err
	cd ..
	echo ------------------------------------------------------
	echo TEST SUITE FAILED
   goto end

:end
endlocal
echo.
pause
